## org.apache.poi.contrib.poibrowser
Class DocumentDescriptor

    java.lang.Object
      org.apache.poi.contrib.poibrowser.DocumentDescriptor

Direct Known Subclasses:
  PropertySetDescriptor

public class DocumentDescriptor
extends java.lang.Object

Describes the most important (whatever that is) features of a `POIFSDocument`.

Since:
  2002-02-05
Version:
  $Id: DocumentDescriptor.java,v 1.1.8.1 2004/02/22 11:22:14 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de)

Constructor Summary
`DocumentDescriptor(java.lang.String name, POIFSDocumentPath path, DocumentInputStream stream, int nrOfBytes)` Creates a `DocumentDescriptor`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDescriptor

    public DocumentDescriptor(java.lang.String name,
                              POIFSDocumentPath path,
                              DocumentInputStream stream,
                              int nrOfBytes)

  Creates a `DocumentDescriptor`.

Parameters:
  `name` - The stream's name.
  `path` - The stream's path in the POI filesystem hierarchy.
  `stream` - The stream.
  `nrOfBytes` - The maximum number of bytes to display in a dump starting at the beginning of the stream.

Copyright © 2003 Apache Software Foundation.